Runs - Run Pipeline
Runs a pipeline.
POST https://dev.azure.com/{organization}/{project}/_apis/pipelines/{pipelineId}/runs?api-version=6.0-preview.1
POST https://dev.azure.com/{organization}/{project}/_apis/pipelines/{pipelineId}/runs?pipelineVersion={pipelineVersion}&api-version=6.0-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
|
The name of the Azure DevOps organization. |
|
pipeline
|
path | True |
|
The pipeline ID. |
|
project
|
path | True |
|
Project ID or project name |
|
api-version
|
query | True |
|
Version of the API to use. This should be set to '6.0-preview.1' to use this version of the api. |
|
pipeline
|
query |
|
The pipeline version. |
Request Body
| Name | Type | Description |
|---|---|---|
| previewRun |
|
If true, don't actually create a new run. Instead, return the final YAML document after parsing templates. |
| resources |
The resources the run requires. |
|
| stagesToSkip |
|
|
| templateParameters |
|
|
| variables |
|
|
| yamlOverride |
|
If you use the preview run option, you may optionally supply different YAML. This allows you to preview the final YAML document without committing a changed file. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Definitions
|
Build |
|
|
Container |
|
|
Package |
|
|
Pipeline |
A reference to a Pipeline. |
|
Pipeline |
|
|
Reference |
The class to represent a collection of REST reference links. |
| Repository | |
|
Repository |
|
|
Repository |
|
|
Repository |
|
| Run | |
|
Run |
Settings which influence pipeline runs. |
|
Run |
|
|
Run |
|
|
Run |
|
|
Run |
|
| Variable |
BuildResourceParameters
| Name | Type | Description |
|---|---|---|
| version |
|
ContainerResourceParameters
| Name | Type | Description |
|---|---|---|
| version |
|
PackageResourceParameters
| Name | Type | Description |
|---|---|---|
| version |
|
PipelineReference
A reference to a Pipeline.
| Name | Type | Description |
|---|---|---|
| folder |
|
Pipeline folder |
| id |
|
Pipeline ID |
| name |
|
Pipeline name |
| revision |
|
Revision number |
| url |
|
PipelineResourceParameters
| Name | Type | Description |
|---|---|---|
| version |
|
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
|
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |
Repository
| Name | Type | Description |
|---|---|---|
| type |
RepositoryResource
| Name | Type | Description |
|---|---|---|
| refName |
|
|
| repository | ||
| version |
|
RepositoryResourceParameters
| Name | Type | Description |
|---|---|---|
| refName |
|
|
| token |
|
This is the security token to use when connecting to the repository. |
| tokenType |
|
Optional. This is the type of the token given. If not provided, a type of "Bearer" is assumed. Note: Use "Basic" for a PAT token. |
| version |
|
RepositoryType
| Name | Type | Description |
|---|---|---|
| azureReposGit |
|
|
| azureReposGitHyphenated |
|
|
| gitHub |
|
|
| unknown |
|
Run
| Name | Type | Description |
|---|---|---|
| _links |
The class to represent a collection of REST reference links. |
|
| createdDate |
|
|
| finalYaml |
|
|
| finishedDate |
|
|
| id |
|
|
| name |
|
|
| pipeline |
A reference to a Pipeline. |
|
| resources | ||
| result | ||
| state | ||
| url |
|
|
| variables |
|
RunPipelineParameters
Settings which influence pipeline runs.
| Name | Type | Description |
|---|---|---|
| previewRun |
|
If true, don't actually create a new run. Instead, return the final YAML document after parsing templates. |
| resources |
The resources the run requires. |
|
| stagesToSkip |
|
|
| templateParameters |
|
|
| variables |
|
|
| yamlOverride |
|
If you use the preview run option, you may optionally supply different YAML. This allows you to preview the final YAML document without committing a changed file. |
RunResources
| Name | Type | Description |
|---|---|---|
| repositories |
|
RunResourcesParameters
| Name | Type | Description |
|---|---|---|
| builds |
|
|
| containers |
|
|
| packages |
|
|
| pipelines |
|
|
| repositories |
|
RunResult
| Name | Type | Description |
|---|---|---|
| canceled |
|
|
| failed |
|
|
| succeeded |
|
|
| unknown |
|
RunState
| Name | Type | Description |
|---|---|---|
| canceling |
|
|
| completed |
|
|
| inProgress |
|
|
| unknown |
|
Variable
| Name | Type | Description |
|---|---|---|
| isSecret |
|
|
| value |
|